using System;
using System.Threading;
using System.Threading.Tasks;
using RudderSdk.Core.Abstractions;

namespace RudderSdk.Unity
{
  internal class UnityPlanScheduler : IPlanScheduler
  {
    public Task ScheduleAsync(TimeSpan delay, CancellationToken cancellationToken = default)
    {
      return Task.Delay(delay, cancellationToken);
    }
  }
}
